{% extends 'Proyecto/viewProyectoBase.html' %}
{% load custom_tags %}
{% block tab-us %}
    <li class="nav-item">
        <a class="nav-link active" href="#">User story</a>
    </li>
{% endblock %}
{% block content-project %}


    <div class="input-group">
        <input type="text" id="buscarUs" onkeyup="buscarTabla('buscarUs','tablaUs')" placeholder="Buscar por nombre"
               title="Escriba un US" class="form-control m-3" aria-describedby="inputGroup-sizing-lg">
    </div>

    <table class="table table-hover" id="tablaUs">
        <thead class="thead-dark">{# cabecera de tabla #}
        <tr>
            <th onclick="sortTable(0,'tablaUs','String')" width="35%">Titulo</th>
            <th onclick="sortTable(1,'tablaUs','String')">Estado</th>
            <th onclick="sortTable(2,'tablaUs','Numero')">Prioridad</th>
            <th onclick="sortTable(3,'tablaUs','Numero')">Estimacion</th>
            <th onclick="sortTable(4,'tablaUs','String')">Encargado</th>
            <th>Acciones</th>
        </tr>
        </thead>
        <tbody>

        <!-- Recorremos los objetos o registros que tenemos en nuestra tabla y los listamos -->
        {% for userStory in listUs %}{# todas las US que vienen desde view.py #}
            <tr>
                <td>{{ userStory.titulo }}</td>
                <td>
                    {% if userStory.estado == "N" %}
                        Nuevo
                    {% elif userStory.estado == 'PP' %}
                        En Planning
                    {% elif userStory.estado == 'P' %}
                        Pendiente
                    {% elif userStory.estado == 'EP' %}
                        En proceso
                    {% elif userStory.estado == 'STSA' %}
                        Sin terminar en sprint anterior
                    {% elif userStory.estado == 'A' %}
                        Aprobado
                    {% elif userStory.estado == 'H' %}
                        Hecho
                    {% elif userStory.estado == 'C' %}
                        Cancelado
                    {% endif %}

                </td>
                <td>{{ userStory.prioridad }}</td>
                <td>
                    {% if  userStory.estimacion %}
                        {{ userStory.estimacion }}
                    {% else %}
                        Sin estimación
                    {% endif %}
                </td>
                <td style="word-wrap: break-word;min-width: 200px;max-width: 200px;">
                    {% if userStory.encargado %}
                        {{ userStory.encargado }}
                    {% else %}
                        Sin Encargado
                    {% endif %}
                </td>

                <td>
                    {#  #}
                    <form method="POST" action="eliminar/{{ userStory.id }}">
                        {% csrf_token %}
                        <div class="btn-group">

                            <!-- Creamos 4 botones que son Ver, Editar, Eliminar, Reemplazar nos sirven para gestionar nuestros registros-->
                            <a href="{% url 'Proyecto:detalle' userStory.id %}" title="Ver" type="button"
                               class="btn btn-success ml-1">Ver</a>
                            <a href="{% url 'Proyecto:historialMod' userStory.id %}" title="HistorialModificaciones" type="button"
                               class="btn btn-success ml-1">Modificaciones</a>
                            <a href="{% url 'Proyecto:historialUs' idProyecto userStory.id 1 0 0 %}" title="Actividades"
                               type="button"
                               class="btn btn-success ml-1">Actividades</a>
                            {# aquie se pasan los parametros que se necistan en view.py #}
                            {% if proyecto.estado != 'T' %}
                                <a href="{% url 'Proyecto:actualizar' userStory.id %}" title="Editar" type="button"
                                   class="btn btn-primary ml-1
                                {% if userStory.estado != "N" and userStory.estado != "STSA" %}
                                    disabled
                                {% elif permisos %}
                                    {% if not permisos|get_at_index:2 %}
                                        disabled
                                    {% endif %}
                                {% endif %} ">Editar</a>
                            {% endif %}
                            <a href="{% url 'Proyecto:reemplazarMiembroEnUS' idProyecto userStory.id %}"
                               title="Reemplazar" type="button"
                               class="btn btn-primary ml-1
                               {% if proyecto.estado == 'T' or proyecto.estado == 'C'%}
                                   disabled
                               {% elif not userStory.encargado %}
                                    disabled
                               {% elif userStory.estado == 'A' or userStory.estado == 'C' or userStory.estado == 'STSA' %}
                                    disabled
                               {% endif %}">Reemplazar</a>
                        </div>
                    </form>
                </td>

                </td>
            </tr>
        {% endfor %}

        </tbody>
    </table>

    <div class="p-3">
        {% if proyecto.estado != 'T' %}
            <a href="{% url 'Proyecto:guardarUs' idProyecto %}" class="btn btn-primary
            {% if permisos %}{% if not permisos|get_at_index:0 %} disabled {% endif %}{% endif %}">Crear</a>
        {% endif %}

        <a class="btn btn-secondary" href="{% url 'Proyecto:listProductBacklogPdf' idProyecto %}"
                   role="button">Product Backlog PDF</a>

        <a class="btn btn-secondary center" href="{% url 'Proyecto:index' %} "
           role="button">Volver</a>
    </div>
{% endblock %}